Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class ContainedEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.ContainedEntry

Direct Known Subclasses:
  ContainedAttribute, ElementDecl

public class ContainedEntry
extends SymTabEntry

Field Summary
`protected TypeEntry` | `type`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`protected` | `ContainedEntry(TypeEntry type, QName qname)`

Method Summary
`TypeEntry` | `getType()`
`void` | `setType(TypeEntry type)`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected TypeEntry type

Constructor Detail

### ContainedEntry

    protected ContainedEntry(TypeEntry type,
                             QName qname)

Parameters:
  `qname` -

Method Detail

### getType

    public TypeEntry getType()

  Returns:
    Returns the type.

### setType

    public void setType(TypeEntry type)

  Parameters:
    `type` - The type to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.